/*
 *  A_WORLD                             Copyright (C) Kimmo Kulovesi 1998
 *                                                    arkhan@softhome.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Please see 'license.txt'.
 *
 *****************************************************************************/

#ifndef arkhan_a_world_h
#define arkhan_a_world_h

#define season_spring   0
#define season_summer   1
#define season_autumn   2
#define season_winter   3

#define num_of_months   12

#define m_nuzyael       1
#define m_peonu         2
#define m_kelen         3
#define m_nolus         4
#define m_larane        5
#define m_agrazhar      6
#define m_azura         7
#define m_halane        8
#define m_savor         9
#define m_ilvin         10
#define m_navek         11
#define m_morgat        12

#define m_january       1
#define m_february      2
#define m_march         3
#define m_april         4
#define m_may           5
#define m_june          6
#define m_july          7
#define m_august        8
#define m_september     9
#define m_october       10
#define m_november      11
#define m_december      12

int harn_num_of_days(signed char month, signed long year);
int earth_num_of_days(signed char month, signed long year);
unsigned char harn_get_season(signed char month, signed char day);
unsigned char earth_get_season(signed char month, signed char day);
char *harn_get_year_sign(signed long year);
char *earth_get_year_sign(signed long year);
char *harn_get_month_name(signed char month);
char *earth_get_month_name(signed char month);
unsigned char is_leap_year(signed long year);
int harn_day_of_the_year(signed char day, signed char month, signed long year);
int earth_day_of_the_year(signed char day, signed char month, signed long year);
char *earth_weekday(signed char day, signed char month, signed long year);

    /* Some defines on planetary data */

#define earth_year_length       365.2422

#define earth_eccentricity      0.01671542
#define earth_obliquity         23.4393

    /* Does someone know what these values mean? Or, what they'd be on Harn? */

#define earth_yl                367L                /* ??? */
#define earth_rt                3.563E-7            /* ??? */
#define earth_unk1              0.9856002585        /* ??? */
#define earth_unk2              282.9404            /* ??? */
#define earth_unk3              356.0470            /* ??? */
#define earth_unk4              4.70935E-5          /* ??? */

#define earth_orbit_data        earth_eccentricity, earth_obliquity, earth_yl, earth_rt, earth_unk1, earth_unk2, earth_unk3, earth_unk4

    /* Harnic representatives
     *
     *   ... Well, actually, I either made them up or guessed what they migth
     *       be, and copied the rest from earth. The results at latitude 45
     *       are consistent with Campaign 3/HM2, though.
     */

#define harn_year_length        360.0011

#define kethira_obliquity       21.0001
#define kethira_eccentricity    0.0                 /* Made-up */
#define kethira_yl              361L                /* Guessed */
#define kethira_rt              3.600E-7            /* Guessed */
#define kethira_unk1            earth_unk1
#define kethira_unk2            268.0000            /* Made-up */
#define kethira_unk3            290.0011            /* Made-up */
#define kethira_unk4            earth_unk4

#define kethira_orbit_data      kethira_eccentricity, kethira_obliquity, kethira_yl, kethira_rt, kethira_unk1, kethira_unk2, kethira_unk3, kethira_unk4

#endif
