#ifndef _moon_h
#define _moon_h

#define epoch_b             1205    /* Arkhan: The moon phases seem to be on
                                     *         the same day in 1205AD as in
                                     *         1985AD, with a difference of
                                     *         some 19 hours and 3 minutes,
                                     *         so I added this to reduce the
                                     *         error in year 1190 caused by
                                     *         calculation backwards from
                                     *         1985.
                                     */

#define epoch_b_dif         ((19 + (3.0 / 60.0)) / 24.0)

#define epoch               1985
#define solar_ecc_long      279.611371
#define solar_ecc_perigree  282.680403
#define lunar_mn_long       18.251907
#define lunar_mn_perigree   192.917585
#define lunar_mn_node       55.204723

#ifndef PI
    #define PI 3.14159265358979323846
#endif

int earth_moon_phase(signed char day, signed char month, signed long year);
int harn_moon_phase(signed char day, signed char month, signed long year);
int earth_age_of_moon(signed char day, signed char month, signed long year);
int harn_age_of_moon(signed char day, signed char month, signed long year);

int sun_rise (signed char day, signed char month, signed long year,
                 float lat, double eccentricity, double obliquity,
                 double yl, double rt, double unk1, double unk2, double unk3,
                 double unk4, float *trise, float *tset);

#endif
