/*
 *  Arkhan's Random Weather Generator   Copyright (C) Kimmo Kulovesi 1998
 *                                                    arkhan@softhome.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *  Please see 'license.txt'.
 *
 *****************************************************************************/

#ifndef arkhan_wgen_h
#define arkhan_wgen_h

/*****************************************************************************
  * Internal stuff                                                           *
  ****************************************************************************/

#define wg_header_title     1
#define wg_header_begin     2
#define wg_header_exit      3
#define wg_header_year      10

#define wg_fl_html          1
#define wg_fl_earth         2
#define wg_fl_moon_percent  4
#define wg_fl_run_continue  8
#define wg_fl_save_continue 16
#define wg_fl_do_months     32
#define wg_fl_moon_age      64

#define wg_fl_custom_lat    1
#define wg_fl_custom_breaks 2

unsigned char h_get_season(signed char month, signed long year);
unsigned char e_get_season(signed char month, signed long year);
unsigned char h_num_of_days(signed char month, signed long year);
unsigned char e_num_of_days(signed char month, signed long year);
void ascii_print_sun(signed char rise_h, signed char rise_m, signed char set_h, signed char set_m);
void ascii_print_moon();
void ascii_print_weather(unsigned char i);
void ascii_print_wind(char d, unsigned char f);
void ascii_print_temperature(unsigned char i);
void ascii_print_sky(unsigned char i);
void ascii_print_date(signed char current_day, char *c_month);
void ascii_print_newline();
void ascii_print_weekday();
void ascii_print_newmonth(char *);
void html_print_sun(signed char rise_h, signed char rise_m, signed char set_h, signed char set_m);
void html_print_moon();
void html_print_weather(unsigned char i);
void html_print_wind(char d, unsigned char f);
void html_print_temperature(unsigned char i);
void html_print_sky(unsigned char i);
void html_print_date(signed char current_day, char *c_month);
void html_print_newline();
void html_print_weekday();
void html_print_newday();
void html_print_newmonth(char *);
void wg_usage();
void wg_header(unsigned char mode);
void sun_times(signed char *r_h, signed char *r_m, signed char *s_h, signed char *s_m);
int is_night_watch(signed char num, signed char r_h, signed char r_m, signed char s_h, signed char s_m);
void wg_usage();

    /* A macro to print time digits */

#define timep(i)    do                          \
                    {                           \
                        if ((int)(i) < 10)      \
                            printf("0");        \
                        printf("%i", (int)(i)); \
                    }                           \
                    while(0)

#endif
